<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>HTTP: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">HTTP
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceSHPP.html">SHPP</a></li><li class="navelem"><a class="el" href="classSHPP_1_1Server.html">Server</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">SHPP::Server Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#a7815b7fd1249097aede0b5601901e094">Handler</a> typedef</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#a91b9ebc0bdd1e1dc2beac293bb501a51">run</a>()</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#ab17fb726ec450fc49b892fb74c939460">Server</a>(const Handler &amp;handler)</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#aba79b20af03be27856da541350b662ca">set_address</a>(const std::string &amp;address)</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#a1a4a206c82decb5aa85db417f168ad5b">set_handler</a>(const Handler &amp;handler)</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#a5aba82072355cce0d3aec6c49d589973">set_port</a>(const uint16_t &amp;port)</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSHPP_1_1Server.html#ad3ceec24e4a131346e8963fa26d38fa4">set_threads</a>(const size_t &amp;threads)</td><td class="entry"><a class="el" href="classSHPP_1_1Server.html">SHPP::Server</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
